Get a specific Tag.

Prev Next
Get
/tags/{id}

Get a specific Tag.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Responses
200

Single Tag.

object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
colorCode
integer

The color code of the tag. Default will be random color.

  • 1: Light Green
  • 2: Green
  • 3: Indigo
  • 4: Deep Purple
  • 5: Yellow
  • 6: Lime
  • 7: Light Blue
  • 8: Blue
  • 9: Amber
  • 10: Orange
  • 11: Cyan
  • 12: Teal
  • 13: Deep Orange
  • 14: Red
  • 15: Gray
  • 16: Brown
  • 17: Pink
  • 18: Purple
  • 19: Blue Gray
  • 20: Near Black
colorName
string

The name associated with the color code.

created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

taggedOccurrences
integer

The number of entities tagged with this Tag.

linkedOccurrences
integer

The number of entities linked via this Tag.

taggedOccurrencesByEntityType

The number of entities tagged with this Tag grouped by entity type.

Example{ "administrativeRole": 3, "appliance": 1, "applianceCustomization": 57 }
linkedOccurrencesByEntityType

The number of utilizing this Tag as a link group by entity link type.

Example{ "administrativeRolePrivilegeLink": 4, "policyEntitlementLink": 2, "policyRingfenceRuleLink": 1 }
401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.